AliasDefinition (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.beans.factory.parsing

## Class AliasDefinition

- java.lang.Object
- - org.springframework.beans.factory.parsing.AliasDefinition

- All Implemented Interfaces:
    BeanMetadataElement

      public class AliasDefinition
      extends Object
      implements BeanMetadataElement

  Representation of an alias that has been registered during the parsing process.
  Since:
    2.0
  Author:
    Juergen Hoeller
  See Also:
    `ReaderEventListener.aliasRegistered(AliasDefinition)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AliasDefinition(String beanName, String alias)` Create a new AliasDefinition.
    `AliasDefinition(String beanName, String alias, Object source)` Create a new AliasDefinition.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlias()` Return the alias registered for the bean.
    `String` | `getBeanName()` Return the canonical name of the bean.
    `Object` | `getSource()` Return the configuration source `Object` for this metadata element (may be `null`).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AliasDefinition

          public AliasDefinition(String beanName,
                         String alias)

      Create a new AliasDefinition.
      Parameters:
        `beanName` - the canonical name of the bean
        `alias` - the alias registered for the bean

    - #### AliasDefinition

          public AliasDefinition(String beanName,
                         String alias,
                         Object source)

      Create a new AliasDefinition.
      Parameters:
        `beanName` - the canonical name of the bean
        `alias` - the alias registered for the bean
        `source` - the source object (may be `null`)

  - ### Method Detail

    - #### getBeanName

          public final String getBeanName()

      Return the canonical name of the bean.

    - #### getAlias

          public final String getAlias()

      Return the alias registered for the bean.

    - #### getSource

          public final Object getSource()

      Description copied from interface: `BeanMetadataElement`
      Return the configuration source `Object` for this metadata element (may be `null`).
      Specified by:
        `getSource` in interface `BeanMetadataElement`